Tryton - Issues



Title Update currency and country data
Priority feature Status resolved
Superseder Nosy List ced, ciupicri, joshua, pilou, resteve
Type feature request Components country, currency
Assigned To ced Keywords

Created on 2011-11-04.11:09:05 by joshua, last changed by ced.

File name Uploaded Type Edit Remove
country.xml.patch pilou, 2012-08-24.17:20:12 text/plain
issue2260.patch pilou, 2012-08-08.09:58:17 text/plain
msg12573 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-23.17:31:26
Fixed in rev 5939eba65abd and rev d5f63e513060
msg12535 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-17.23:24:34
With this patch review665003, it is possible to just update the XML file with
last version without care about id modification etc.
Once it is approved, I will update the XML files.
msg11758 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2012-10-16.10:21:21
On 16/10/12 09:47 +0200, Raimon Esteve wrote:
> Fix codereview542002

This is not the right fix as already explain in the review.
msg11757 (view) Author: [hidden] (resteve) Date: 2012-10-16.09:47:32
Fix codereview542002
msg11756 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2012-10-16.09:39:00
On 16/10/12 09:01 +0200, Raimon Esteve wrote:
> The patch is commit August 24 and date "freeze release" is September 29.

The patch is not right.
And if you cared so much why not fixing the patch on time.
msg11755 (view) Author: [hidden] (resteve) Date: 2012-10-16.09:01:05
The patch is commit August 24 and date "freeze release" is September 29.

A big mistake in country module because this values user can't change it (defined 
in XML).
msg11739 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2012-10-15.18:38:23
Any way, it is too late for the coming release, repositories are already frozen.
msg11738 (view) Author: [hidden] (resteve) Date: 2012-10-15.18:22:49
Not LGTM feature priority if next release is Octuber 22
msg11737 (view) Author: [hidden] (resteve) Date: 2012-10-15.18:01:44
In country.xml (1) is defined "Cataluña" and not "Catalunya". See review542002

In this patch, this name is fixed issue2260 :

msg11403 (view) Author: [hidden] (pilou) (Tryton committer) Date: 2012-08-24.17:52:56
Indeed output of pycountry should not be modified and I have opened upstream bug
reports corresponding to my modifications:
msg11402 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2012-08-24.17:25:31
You must not edit the output of pycountry because it will be erased on the next run.
msg11401 (view) Author: [hidden] (pilou) (Tryton committer) Date: 2012-08-24.17:20:12

country.xml.patch added here.

In country.xml I have deleted CD-HC, BW-NG and AZ-DAV code and fixed a typo
(Finland: "Reion" instead of "Region").
msg11330 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2012-08-08.10:09:55
I see a lot of subdivision that did not have a "-" in the id code but now they have.
This will bring migration issue, so such XML id must be migrated prior to the
load of the XML file to not try to delete them.
msg11329 (view) Author: [hidden] (pilou) (Tryton committer) Date: 2012-08-08.09:58:17
Patch with country.xml updated using pycountry 0.14.2 added (patch is too big
for codereview).

Duplicates mentioned here:
have been fixed:
msg9374 (view) Author: [hidden] (ciupicri) Date: 2011-11-29.11:56:13
I would like to add that the subdivisions for Romania use the wrong characters.
ş should be replaced with ș and ţ with ț. More details about this can be found
msg9214 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2011-11-08.23:54:55
We must update the data to the last pycountry values.
msg9160 (view) Author: [hidden] (joshua) Date: 2011-11-04.11:09:04
Previously the Indian currency symbol was U+20A8 (₨) But now it has been changed
to U+20B9 (₹). Please refer

Though this can be changed manually in the tryton client under Currency >
Currencies menu, I am reporting this so that the new symbol can be made as a
default one for INR.
Date User Action Args
2013-02-23 17:33:28cedsetcomponent: + currency, country
2013-02-23 17:31:29cedsetstatus: testing -> resolved
messages: + msg12573
2013-02-17 23:24:34cedsetstatus: chatting -> testing
assignedto: ced
superseder: - module country: UnicodeDecodeError with script
messages: + msg12535
2013-02-17 23:24:24cedlinkissue2741 superseder
2012-10-16 10:21:21cedsetmessages: + msg11758
2012-10-16 09:47:32restevesetmessages: + msg11757
2012-10-16 09:39:01cedsetmessages: + msg11756
2012-10-16 09:01:05restevesetmessages: + msg11755
2012-10-15 18:38:23cedsetmessages: + msg11739
2012-10-15 18:22:50restevesetmessages: + msg11738

Showing 10 items. Show all history (warning: this could be VERY long)